# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/watchdog/st,stm32-iwdg.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: STMicroelectronics STM32 Independent WatchDoG (IWDG) bindings

maintainers:
  - Yannick Fertre <yannick.fertre@st.com>
  - Christophe Roullier <christophe.roullier@st.com>

allOf:
  - $ref: "watchdog.yaml#"

properties:
  compatible:
    enum:
      - st,stm32-iwdg
      - st,stm32mp1-iwdg

  reg:
    maxItems: 1

  clocks:
    items:
      - description: Low speed clock
      - description: Optional peripheral clock
    minItems: 1
    maxItems: 2

  clock-names:
    items:
      enum:
        - lsi
        - pclk
    minItems: 1
    maxItems: 2

required:
  - compatible
  - reg
  - clocks
  - clock-names

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/clock/stm32mp1-clks.h>
    watchdog@5a002000 {
      compatible = "st,stm32mp1-iwdg";
      reg = <0x5a002000 0x400>;
      clocks = <&rcc IWDG2>, <&rcc CK_LSI>;
      clock-names = "pclk", "lsi";
      timeout-sec = <32>;
    };

...
